# Revoke an API key

> Revoke an API key: reference page for this CustomDomain™ API operation in the applications group. Covers parameters, request body, responses and error codes.

Source: https://docs.customdomain.ai/docs/api-reference/applications/revokeApiKey

## `DELETE https://api.customdomain.ai/v1/applications/{id}/keys/{keyId}`

### Authentication

`apiKey`, `managementKey`

### Parameters

| Name | In | Type | Required | Description |
| --- | --- | --- | --- | --- |
| `id` | path | string | yes |  |
| `keyId` | path | string | yes |  |

### Responses

| Status | Description |
| --- | --- |
| `204` | Revoked |
| `401` | Error envelope: {code, title, details}. |
| `404` | Error envelope: {code, title, details}. |

The full specification is served at `GET https://api.customdomain.ai/v1/openapi.json`.
